org.apache.poi.sl.usermodel

## Interface PaintStyle.TexturePaint

- All Superinterfaces:
    PaintStyle
  All Known Implementing Classes:
    XSLFTexturePaint
  Enclosing interface:
    PaintStyle

      public static interface PaintStyle.TexturePaint
      extends PaintStyle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.PaintStyle

      `PaintStyle.FlipMode, PaintStyle.GradientPaint, PaintStyle.PaintModifier, PaintStyle.SolidPaint, PaintStyle.TextureAlignment, PaintStyle.TexturePaint`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default PaintStyle.TextureAlignment` | `getAlignment()`
    `int` | `getAlpha()`
    `java.lang.String` | `getContentType()`
    `default java.util.List<ColorStyle>` | `getDuoTone()` For pattern images, the duo tone defines the black/white pixel color replacement
    `default PaintStyle.FlipMode` | `getFlipMode()`
    `java.io.InputStream` | `getImageData()`
    `default Insets2D` | `getInsets()` Specifies the portion of the blip or image that is used for the fill.
    `default java.awt.geom.Point2D` | `getOffset()`
    `default java.awt.geom.Dimension2D` | `getScale()`
    `default Insets2D` | `getStretch()` The stretch specifies the edges of a fill rectangle.
    `default boolean` | `isRotatedWithShape()`

- - ### Method Detail

    - #### getImageData

          java.io.InputStream getImageData()

      Returns:
        the raw image stream

    - #### getContentType

          java.lang.String getContentType()

      Returns:
        the content type of the image data

    - #### getAlpha

          int getAlpha()

      Returns:
        the alpha mask in percents [0..100000]

    - #### isRotatedWithShape

          default boolean isRotatedWithShape()

      Returns:
        `true`, if the rotation of the shape is also applied to the texture paint

    - #### getScale

          default java.awt.geom.Dimension2D getScale()

      Returns:
        the dimensions of the tiles in percent of the shape dimensions or `null` if no scaling is applied

    - #### getOffset

          default java.awt.geom.Point2D getOffset()

      Returns:
        the offset of the tiles in points or `null` if there's no offset

    - #### getFlipMode

          default PaintStyle.FlipMode getFlipMode()

      Returns:
        the flip/mirroring/duplication mode

    - #### getAlignment

          default PaintStyle.TextureAlignment getAlignment()

    - #### getInsets

          default Insets2D getInsets()

      Specifies the portion of the blip or image that is used for the fill.

      Each edge of the image is defined by a percentage offset from the edge of the bounding box. A positive percentage specifies an inset and a negative percentage specifies an outset.

      The percentage are ints based on 100000, so 100% = 100000.

      So, for example, a left offset of 25% specifies that the left edge of the image is located to the right of the bounding box's left edge by 25% of the bounding box's width.

      Returns:
        the cropping insets of the source image

    - #### getStretch

          default Insets2D getStretch()

      The stretch specifies the edges of a fill rectangle.

      Each edge of the fill rectangle is defined by a perentage offset from the corresponding edge of the picture's bounding box. A positive percentage specifies an inset and a negative percentage specifies an outset.

      The percentage are ints based on 100000, so 100% = 100000.

      Returns:
        the stretching in the destination image

    - #### getDuoTone

          default java.util.List<ColorStyle> getDuoTone()

      For pattern images, the duo tone defines the black/white pixel color replacement

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.